package cn.iocoder.yudao.module.order.vo.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 入仓商品通用属性VO
 *
 * @author yanghao
 */
@Data
@ApiModel(value = "入仓商品通用属性VO")
public class OrderWarehouseInCommonAttrVO {


    @ApiModelProperty(value = "商品ID")
    private Long prodId;

    @ApiModelProperty(value = "产品中文标题")
    private String prodNameZh;

    @ApiModelProperty(value = "产品英文标题")
    private String prodNameEn;



    @ApiModelProperty(value = "品牌ID")
    private Long brand;


    @ApiModelProperty(value = "品牌中文")
    private String brandNameZh;

    @ApiModelProperty(value = "品牌英文")
    private String brandNameEn;




    @ApiModelProperty(value = "材质")
    private String material;
    // product_material
    @ApiModelProperty(value = "材质英文")
    private String materialLabelEn;
    @ApiModelProperty(value = "材质中文")
    private String materialLabelZh;


    /**
     * 商品特性(可选多个特性ID)
     */
    private String prodAttrIds;

    // ecw_product_attr
    @ApiModelProperty(value = "商品特性中文")
    private String prodAttrNamesZh;

    @ApiModelProperty(value = "商品特性英文")
    private String prodAttrNamesEn;


    @ApiModelProperty("用途")
    private String usageIds;

    // order_item_usage
    @ApiModelProperty(value = "用途特性英文")
    private String usageNamesZh;
    @ApiModelProperty(value = "用途特性英文")
    private String usageNamesEn;


    @ApiModelProperty(value = "所有箱内总货物数量")
    private Integer quantityAll;
}
