package cn.iocoder.yudao.module.order.vo.orderWarehouseCheck;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@ApiModel("管理后台 - 到仓修改 Request VO")
@Data
@EqualsAndHashCode
@ToString(callSuper = true)
public class OrderWarehouseCheckUpdateReqVO {


    @ApiModelProperty(value = "订单ID", required = true)
    @NotNull(message = "订单ID不能为空")
    private Long orderId;


    @ApiModelProperty(value = "订单项ID", required = true)
    @NotNull(message = "订单项id不能为空")
    private Long orderItemId;
    /**
     * 商品ID
     */
    @ApiModelProperty(value = "订单项-商品id")
    private Long prodId;
    /**
     * 产品类型
     */
    @ApiModelProperty(value = "订单项-产品类型")
    private Integer prodType;
    /**
     * 产品中文标题
     */
    @ApiModelProperty(value = "订单项-产品中文标题")
    private String prodTitleZh;
    /**
     * 产品英文标题
     */
    @ApiModelProperty(value = "订单项-产品英文标题")
    private String prodTitleEn;
    /**
     * 品牌
     */
    @ApiModelProperty(value = "订单项-品牌")
    private Long brand;
    /**
     * 0 无牌 1 有牌 2 中性
     */
    @ApiModelProperty(value = "订单项-0 无牌 1 有牌 2 中性")
    private Integer brandType;

    @ApiModelProperty(value = "收费：无牌价0，有牌价1，中性品牌价2")
    private Integer feeType;

    @ApiModelProperty(value = "入仓商品特性(可选多个特性ID)")
    private String warehouseInProdAttrIds;
    /**
     * 材质
     */
    @ApiModelProperty(value = "材质")
    private String material;

    @ApiModelProperty(value = "到仓修改详情", required = true)
    @NotEmpty(message = "品名到仓修改记录详情不能未空")
    private List<OrderWarehouseCheckUpdateItemVO> updates;
}
